Bug 663390 - subscription-manager-gui: unregister locks up gui
Summary: subscription-manager-gui: unregister locks up gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-15 16:18 UTC by J.C. Molet
Modified: 2013-01-10 10:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2010-12-15 16:18:19 UTC
Description of problem:
Whenever you click the unregister button in the gui, its starts to create a pop up, and then locks up the whole program.


Version-Release number of selected component (if applicable):
subscription-manager-0.93.3-1.git.28.0488b4b.fc14.x86_64
subscription-manager-gnome-0.93.3-1.git.28.0488b4b.fc14.x86_64

How reproducible:
always as of the above build ^

Steps to Reproduce:
1. Install subscription-manager-gnome and all of its dependencies. 
2. Open subscription-manager-gui
3. Register to your candlepin server
4. Click unregister.
  
Actual results:
The unregister confirmation pop up locks up the whole gui.

Expected results:
The unregister confirmation pop up works and doesn't lock up the whole gui.

Additional info:

Comment 1 J.C. Molet 2010-12-15 17:52:46 UTC
It seems that any warning pop up will do this.  I can also replicate this by going to register to the candlepin server and then entering in a wrong password.

Comment 2 James Bowes 2010-12-17 15:34:15 UTC
when i was fixing, i just turned off my candlepin server then tried to update my facts. the only dialog that wouldn't trigger this was an error box that would come up during a progress bar.

Comment 4 J.C. Molet 2010-12-23 18:21:38 UTC
fix is working now 


[root@jmolet-vm1 ~]# rpm -qa | grep subscription
subscription-manager-0.93.7-1.git.3.fbdf967.el6.x86_64
subscription-manager-gnome-0.93.7-1.git.3.fbdf967.el6.x86_64

Comment 5 errata-xmlrpc 2011-05-19 13:38:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.